#include "Socket.h"  // For Socket and SocketException
#include <iostream>           // For cerr and cout
#include <cstdlib>            // For atoi()
#include <string.h>
using namespace std;

int main(int argc, char *argv[]) {

	string sentence;
	string modifiedSentence;

	std::istream& inFromUser = std::cin;

	unsigned short servPort = atoi(argv[2]);
	Socket *clientSocket=new Socket(argv[1], servPort);

	OutputStream *outToServer = clientSocket->getOutputStream();

	InputStream * inFromServer = clientSocket->getInputStream();

	inFromUser >> sentence;

	outToServer->writeBytes(sentence + '\n');

	modifiedSentence = inFromServer->readLine();

	cout<<"FROM SERVER: " + modifiedSentence<<endl;

	clientSocket->close();

}
