#include "Socket.h"  // For Socket and SocketException
#include <iostream>           // For cerr and cout
#include <cstdlib>            // For atoi()
#include <string>
#include <algorithm>
using namespace std;


int main(int argc, char *argv[]) {

	string clientSentence;
	string capitalizedSentence;

	unsigned short servPort = atoi(argv[1]);
	cout << "Starting server socket" << endl;

	ServerSocket *welcomeSocket=new ServerSocket(servPort);

	while (true) {

		cout << "Created Listening socket" << endl;

		Socket* connectionSocket = welcomeSocket->accept();

                cout << "Accepted connection" << endl;

		InputStream * inFromClient = connectionSocket->getInputStream();

		OutputStream * outToClient = connectionSocket->getOutputStream();

		clientSentence = inFromClient->readLine();

		std::transform(clientSentence.begin(), clientSentence.end(),clientSentence.begin(), ::toupper);

		capitalizedSentence = clientSentence;//"CAPITALIZED\n";//clientSentence.toUpperCase() + '\n';

		outToClient->writeBytes(capitalizedSentence);

	}
}

